# opentl::core::cvdata::T_MEAS_OBJ Class Reference

Structure holding a single object-level measurement. A single measurement is related to: 1 target, 1 modality, 1 camera, 1 thread. More...

List of all members.

## Public Types
## Public Member Functions
std::size_t | getJacSize () const
| Get degree of freedom of transpJac matrix.
std::size_t | getMeasDim () const
| Get size/length of a single feature element.
T_MEAS_OBJ_TYPE | getMeasType () const
| Return type of measurement.
void | resizeAll (T_MEAS_OBJ_TYPE measType_, std::size_t measDim_, std::size_t jacSize_)
| Resizes all vectors within structure and sets internal variables accordingly.
| T_MEAS_OBJ (std::size_t measDim_=0, std::size_t jacSize_=0, T_MEAS_OBJ_TYPE measType_=VECTOR_RES)
## Public Attributes
std::vector< double > | E_sHypo
| E = pose residuals (z-h).
std::vector< double > | h
| h = predicted pose (= initial value)
std::vector< double > | invCov
| invCov = covariance of pose parameters (= uncertainty of optimization procedure)
std::vector< std::vector < double > > | transpJac
| transpJac = I or [I | 0]
bool | validity
| Validity flag for this measurement (default = false).
std::vector< double > | z_sHypo
| z = optimized pose

## Detailed Description

Structure holding a single object-level measurement. A single measurement is related to: 1 target, 1 modality, 1 camera, 1 thread.

## Member Enumeration Documentation

enum opentl::core::cvdata::T_MEAS_OBJ::T_MEAS_OBJ_TYPE

Possible measurement data types.

Enumerator:

  SCALAR_RES | Scalar residual (but vectors Z,H).
  VECTOR_RES | Vector residual (default).

## Constructor & Destructor Documentation

opentl::core::cvdata::T_MEAS_OBJ::T_MEAS_OBJ | ( | std::size_t | measDim_ = `0`,
|  | std::size_t | jacSize_ = `0`,
|  | T_MEAS_OBJ_TYPE | measType_ = `VECTOR_RES` |
| ) |  |  | `[inline]`

## Member Function Documentation

std::size_t opentl::core::cvdata::T_MEAS_OBJ::getJacSize | ( |  | ) | const`[inline]`

Get degree of freedom of transpJac matrix.

std::size_t opentl::core::cvdata::T_MEAS_OBJ::getMeasDim | ( |  | ) | const`[inline]`

Get size/length of a single feature element.

T_MEAS_OBJ_TYPE opentl::core::cvdata::T_MEAS_OBJ::getMeasType | ( |  | ) | const`[inline]`

Return type of measurement.

void opentl::core::cvdata::T_MEAS_OBJ::resizeAll | ( | T_MEAS_OBJ_TYPE | measType_,
|  | std::size_t | measDim_,
|  | std::size_t | jacSize_ |
| ) |  |  | `[inline]`

Resizes all vectors within structure and sets internal variables accordingly.

Parameters:

  | measType_ | Type of measurement (scalar or vector residual, single or multiple hypotheses).
  | measDim_ | Dimension of measurement.
  | jacSize_ | 1st dim of matrix transpJac

## Member Data Documentation

std::vector<double> opentl::core::cvdata::T_MEAS_OBJ::E_sHypo

E = pose residuals (z-h).

std::vector<double> opentl::core::cvdata::T_MEAS_OBJ::h

h = predicted pose (= initial value)

std::vector<double> opentl::core::cvdata::T_MEAS_OBJ::invCov

invCov = covariance of pose parameters (= uncertainty of optimization procedure)

std::vector<std::vector<double> > opentl::core::cvdata::T_MEAS_OBJ::transpJac

transpJac = I or [I | 0]

bool opentl::core::cvdata::T_MEAS_OBJ::validity

Validity flag for this measurement (default = false).

std::vector<double> opentl::core::cvdata::T_MEAS_OBJ::z_sHypo

z = optimized pose